org.apache.hc.client5.http.auth

## Class KerberosCredentials

- java.lang.Object
- - org.apache.hc.client5.http.auth.KerberosCredentials

- All Implemented Interfaces:
    Serializable, Credentials

  Deprecated.
  Do not use. The GGS based experimental authentication schemes are no longer supported. Consider using Basic or Bearer authentication with TLS instead.

      @Deprecated
       @Contract(threading=IMMUTABLE)
      public class KerberosCredentials
      extends Object
      implements Credentials, Serializable

  Kerberos specific `Credentials` representation based on `GSSCredential`.
  Since:
    4.4
  See Also:
    `UsernamePasswordCredentials`, `BearerToken`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosCredentials(GSSCredential gssCredential)` Deprecated. Constructor with GSSCredential argument

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GSSCredential` | `getGSSCredential()` Deprecated.
    `char[]` | `getPassword()` Deprecated.
    `Principal` | `getUserPrincipal()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosCredentials

          public KerberosCredentials(GSSCredential gssCredential)

      Deprecated.
      Constructor with GSSCredential argument
      Parameters:
        `gssCredential` -

  - ### Method Detail

    - #### getGSSCredential

          public GSSCredential getGSSCredential()

      Deprecated.

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Deprecated.
      Specified by:
        `getUserPrincipal` in interface `Credentials`

    - #### getPassword

          public char[] getPassword()

      Deprecated.
      Specified by:
        `getPassword` in interface `Credentials`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.